> For the complete documentation index, see [llms.txt](https://docs.gooddollar.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gooddollar.org/previous-protocol-versions/protocol-v3/core-contracts-and-api/claimersdistribution.md).

# ClaimersDistribution

### Events

#### ReputationEarned

Emitted when user claims the reputation rewards.

<table><thead><tr><th width="389.63805195347794">Parameter name</th><th>Annotation</th></tr></thead><tbody><tr><td>claimer</td><td>The user who claimed the rewards.</td></tr><tr><td>month</td><td>The number of months for which the <code>claimer</code> has acquired reputation rewards.</td></tr><tr><td>claims</td><td>The amount of claimers claims.</td></tr><tr><td>reputation</td><td>The size of the reputation reward in wei.</td></tr></tbody></table>

```
event ReputationEarned(
    address claimer,
    uint256 month,
    uint256 claims,
    uint256 reputation
);
```

#### MonthlyDistributionSet

Emitted when the Avatar updates the monthly reputation distribution.

<table><thead><tr><th width="389.63805195347794">Parameter name</th><th>Annotation</th></tr></thead><tbody><tr><td>reputationAmount</td><td>The new value of the parameter.</td></tr></tbody></table>

```
event MonthlyDistributionSet(uint256 reputationAmount);
```

### updateClaim

The function increases user count of claims if he claimed today. (This function is called automatically by latest version of the UBIScheme contract).

<table><thead><tr><th width="150">Parameter name</th><th>Annotation</th></tr></thead><tbody><tr><td>_claimer</td><td>The user address to update.</td></tr></tbody></table>

```
function updateClaim(address _claimer) external;
```

### claimReputation

The function mints reputation to the user according to his share in last month claims.

<table><thead><tr><th width="150">Parameter name</th><th>Annotation</th></tr></thead><tbody><tr><td>_claimer</td><td>The user to distribute reputation to.</td></tr></tbody></table>

```
function claimReputation(address _claimer) public;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gooddollar.org/previous-protocol-versions/protocol-v3/core-contracts-and-api/claimersdistribution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
